<?php
include_once '../sys/inc/start.php';
dpanel::check_access();
$doc = new document(6);
$doc -> title = 'Информация о лицензии';

$doc -> ret('В админку','./?'.passgen());


if (!empty($_POST['voucher']))
{
if ($dcms -> license -> getData('voucher_acivate',$_POST['voucher']))
$doc -> msg('Ваучер успешно активирован');
else
$doc -> err('Неверный код ваучера или нет связи с сервером');
}

if (!$dcms -> license -> trial_used)
{
// если ознакомительная версия не была использована

if (!empty($_POST['gettrial']))
{
$trial = $dcms -> license -> getData('gettrial');

if ($trial)
{
$doc -> msg('Пробная версия успешно активирована');
}
else
{
$doc -> err('Не удалось активировать пробную версию');
}

}
}



$licinfo = $dcms -> license -> getData('licinfo');

//echo '<pre>'.output_text(print_r($licinfo, true)).'</pre>';



$posts = array();
$pages = new pages;
$pages->posts = count($licinfo);
$pages->this_page();

$start = $pages->my_start();
$end = $pages->end();


for($i=$start;$i<$end && $i<$pages->posts;$i++)
{
$time = ($licinfo[$i]['time']<=TIME?'Действует с ':'Начнет действие через').' '.vremja($licinfo[$i]['time']);
$title = ($licinfo[$i]['type']=='trial'?'Ознакомительная':'Лицензия').' ('.$time.')';

if ($licinfo[$i]['time']<=TIME)
$post = 'Срок действия истекает через '.vremja($licinfo[$i]['time_end']);
else $post = false;

$posts[]=array('title'=>$title,'post' => $post);
}

if (!$licinfo)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Нет действующих лицензий');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');



// информация о лицензии
echo output_text($dcms -> license -> how_to_buy);


if ($dcms -> license -> can_trial_activate)
{
// если ознакомительная версия не была использована

$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action','?'.passgen());
$elements=array();
$elements[]=array('type'=>'text', 'br'=>1, 'value'=>output_text($dcms -> license -> trial_text));
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name' =>'gettrial', 'value'=>'Активировать')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');
}


$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action','?'.passgen());
$elements=array();
$elements[]=array('type'=>'input_text', 'br'=>1, 'info' => array('name' => 'voucher'));
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('value'=>'Активировать Ваучер')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');
?>
